org.apache.ignite.internal.pagemem.wal.record.delta

## Class TrackingPageRepairDeltaRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord
    - - org.apache.ignite.internal.pagemem.wal.record.delta.TrackingPageRepairDeltaRecord

All Implemented Interfaces:
  WalRecordCacheGroupAware

    public class TrackingPageRepairDeltaRecord
    extends PageDeltaRecord

Record that indicates that "corrupted" flag should be removed from tracking page.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordPurpose, WALRecord.RecordType`

### Constructor Summary

Constructors
Constructor and Description
`TrackingPageRepairDeltaRecord(int grpId, long pageId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `applyDelta(PageMemory pageMem, long pageAddr)` Apply changes from this delta to the given page.
`String` `toString()`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord

`fullPageId, groupId, pageId`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TrackingPageRepairDeltaRecord

    public TrackingPageRepairDeltaRecord(int grpId,
                                         long pageId)

Parameters:
  `grpId` - Cache group ID.
  `pageId` - Page ID.

### Method Detail

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

#### applyDelta

    public void applyDelta(PageMemory pageMem,
                           long pageAddr)
                    throws IgniteCheckedException

Description copied from class: `PageDeltaRecord`
Apply changes from this delta to the given page. It is assumed that the given buffer represents page state right before this update.

Specified by:
  `applyDelta` in class `PageDeltaRecord`
Parameters:
  `pageMem` - Page memory.
  `pageAddr` - Page address.
Throws:
  `IgniteCheckedException` - If failed.

#### toString

    public String toString()

Overrides:
  `toString` in class `PageDeltaRecord`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023